Bug 209449 - Can't use encfs as user to mount a local encrypted directory
Can't use encfs as user to mount a local encrypted directory
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: fuse-encfs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-05 09:33 EDT by Brian G. Anderson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 08:58:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian G. Anderson 2006-10-05 09:33:22 EDT
Description of problem:
Reading the man page for encfs seems to imply that one can mount an encrypted
filesystem as non-root if one has permissions on the source directory and the
destination.  However when I try and mount "encfs ~/.encfs ~/encfs" it fails with :

EncFS Password: 
fuse: failed to exec fusermount: Permission denied
fuse failed.  Common problems:
 - fuse kernel module not installed (modprobe fuse)
 - invalid options -- see usage message


Version-Release number of selected component (if applicable):
fuse-encfs.i386                          1.3.1-3.fc6


How reproducible:
everytime

Steps to Reproduce:
1. do encfs ~/.encfs ~/encfs as normal user
2. 
3.
  
Actual results:
mount fails with permission denied


Expected results:
user should be able to mount their own directories


Additional info:
I can do "encfs --public ~/.encfs ~/encfs" as root
Comment 1 Peter Lemenkov 2006-10-16 13:44:18 EDT
Did you add your user into "fuse" group? If not,then you should do something like:

usermod -a -G fuse petro

(assuming your user is petro) from superuser account.

Note You need to log in before you can comment on or make changes to this bug.